Delete a transaction by ID.
Movimentação de conta bancária SEM pagamento ativo: o corpo é ignorado e o comportamento é o de sempre (204, sem motivo). COM pagamento ativo: reason é obrigatório (422 reason_required, nada é gravado); cada pagamento ativo é estornado na conta do próprio pagamento com data de hoje, a operação é auditada e o lançamento sai das listagens (F3). Para compra de cartão, aceita {"reason": "...", "confirm": true}: reason é obrigatória, e havendo parcelas já pagas sem confirm responde 409 informando quantas são (RN7). Só as parcelas FUTURAS são canceladas; as pagas permanecem.
curl --request DELETE \
--url https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-company-id: <x-company-id>' \
--data '
{
"confirm": true,
"reason": "<string>"
}
'import requests
url = "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}"
payload = {
"confirm": True,
"reason": "<string>"
}
headers = {
"x-company-id": "<x-company-id>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-company-id': '<x-company-id>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: true, reason: '<string>'})
};
fetch('https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'confirm' => true,
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}"
payload := strings.NewReader("{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-company-id", "<x-company-id>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}")
.header("x-company-id", "<x-company-id>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-company-id"] = '<x-company-id>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{
"error": "<string>",
"message": "<string>"
}{}{}{
"error": "<string>",
"message": "<string>"
}{}Authorizations
Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo esquema ApiKeyAuth do contrato).
Headers
company uuid
Path Parameters
Transaction ID
Body
Motivo (obrigatório em lançamento com pagamento ativo) e confirmação de cancelamento de compra de cartão
Response
No Content
The response is of type object.
curl --request DELETE \
--url https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-company-id: <x-company-id>' \
--data '
{
"confirm": true,
"reason": "<string>"
}
'import requests
url = "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}"
payload = {
"confirm": True,
"reason": "<string>"
}
headers = {
"x-company-id": "<x-company-id>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-company-id': '<x-company-id>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: true, reason: '<string>'})
};
fetch('https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'confirm' => true,
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}"
payload := strings.NewReader("{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-company-id", "<x-company-id>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}")
.header("x-company-id", "<x-company-id>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-company-id"] = '<x-company-id>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm\": true,\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{
"error": "<string>",
"message": "<string>"
}{}{}{
"error": "<string>",
"message": "<string>"
}{}